> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/security/ccs/key-pair/deletekeypairs.md).

# DeleteKeyPairs

## 1. API Description

This API (DeleteKeyPairs) is used to The API is used to delete one or more key pairs.

{% hint style="info" %} <mark style="color:blue;">**Note**</mark>

* <mark style="color:blue;">Operations on key pairs that are already be placed on servers are also supported. You can still log in to your instances via these key pairs.</mark>
* <mark style="color:blue;">If any illegal</mark> <mark style="color:blue;">`keyIds`</mark> <mark style="color:blue;">exists, the request will fail.</mark>
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type            | Description                                                                   |
| -------------- | -------- | --------------- | ----------------------------------------------------------------------------- |
| keyIds         | Yes      | Array of String | <p>Key pair IDs.</p><p>You can query up to 100 key pairs in each request.</p> |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Delete one or more key pairs.**

```json
POST /api/v2/vm HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DeleteKeyPairs
<Common Request Params>

Request:
{
  "keyIds": [
    "key-zCcHQB9u"
  ]
}

Response:
{
  "requestId": "TD8F9911F-E2FC-46FF-97CC-7C7127350B46",
  "response": {
    "requestId": "TD8F9911F-E2FC-46FF-97CC-7C7127350B46"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                     | Description         |
| ---------------- | ------------------------------ | ------------------- |
| 404              | INVALID\_KEY\_PAIR\_NOT\_FOUND | Key pair not found. |
